org.apache.http.nio.entity

## Class NHttpEntityWrapper

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.http.nio.entity.NHttpEntityWrapper

- All Implemented Interfaces:
    HttpEntity, ProducingNHttpEntity

  Deprecated.
  (4.2) use `EntityAsyncContentProducer`

      @NotThreadSafe
      @Deprecated
      public class NHttpEntityWrapper
      extends HttpEntityWrapper
      implements ProducingNHttpEntity

  `ProducingNHttpEntity` compatibility adaptor for blocking HTTP entities.
  Since:
    4.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

      `wrappedEntity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NHttpEntityWrapper(HttpEntity httpEntity)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finish()` Deprecated. Notification that any resources allocated for writing can be released.
    `InputStream` | `getContent()` Deprecated. This method throws `UnsupportedOperationException`.
    `boolean` | `isStreaming()` Deprecated. Tells whether this entity depends on an underlying stream.
    `void` | `produceContent(ContentEncoder encoder, IOControl ioctrl)` Deprecated. Notification that content should be written to the encoder.
    `void` | `writeTo(OutputStream out)` Deprecated. This method throws `UnsupportedOperationException`.

    - ### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

      `consumeContent, getContentEncoding, getContentLength, getContentType, isChunked, isRepeatable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.http.HttpEntity

      `consumeContent, getContentEncoding, getContentLength, getContentType, isChunked, isRepeatable`

- - ### Constructor Detail

    - #### NHttpEntityWrapper

          public NHttpEntityWrapper(HttpEntity httpEntity)
                             throws IOException

      Deprecated.
      Throws:
        `IOException`

  - ### Method Detail

    - #### getContent

          public InputStream getContent()
                                 throws IOException,
                                        UnsupportedOperationException

      Deprecated.
      This method throws `UnsupportedOperationException`.
      Specified by:
        `getContent` in interface `HttpEntity`
      Overrides:
        `getContent` in class `HttpEntityWrapper`
      Returns:
        content stream of the entity.
      Throws:
        `IOException` - if the stream could not be created
        `UnsupportedOperationException`
      See Also:
        `HttpEntity.isRepeatable()`

    - #### isStreaming

          public boolean isStreaming()

      Deprecated.
      Description copied from interface: `HttpEntity`
      Tells whether this entity depends on an underlying stream. Streamed entities that read data directly from the socket should return `true`. Self-contained entities should return `false`. Wrapping entities should delegate this call to the wrapped entity.
      Specified by:
        `isStreaming` in interface `HttpEntity`
      Overrides:
        `isStreaming` in class `HttpEntityWrapper`
      Returns:
        `true` if the entity content is streamed, `false` otherwise

    - #### writeTo

          public void writeTo(OutputStream out)
                       throws IOException,
                              UnsupportedOperationException

      Deprecated.
      This method throws `UnsupportedOperationException`.
      Specified by:
        `writeTo` in interface `HttpEntity`
      Overrides:
        `writeTo` in class `HttpEntityWrapper`
      Parameters:
        `out` - the output stream to write entity content to
      Throws:
        `IOException` - if an I/O error occurs
        `UnsupportedOperationException`

    - #### produceContent

          public void produceContent(ContentEncoder encoder,
                            IOControl ioctrl)
                              throws IOException

      Deprecated.
      Description copied from interface: `ProducingNHttpEntity`
      Notification that content should be written to the encoder. `IOControl` instance passed as a parameter to the method can be used to suspend output events if the entity is temporarily unable to produce more content.

      When all content is finished, this MUST call `ContentEncoder.complete()`. Failure to do so could result in the entity never being written.

      Specified by:
        `produceContent` in interface `ProducingNHttpEntity`
      Parameters:
        `encoder` - content encoder.
        `ioctrl` - I/O control of the underlying connection.
      Throws:
        `IOException`

    - #### finish

          public void finish()

      Deprecated.
      Description copied from interface: `ProducingNHttpEntity`
      Notification that any resources allocated for writing can be released.
      Specified by:
        `finish` in interface `ProducingNHttpEntity`

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.